summaryrefslogtreecommitdiff
path: root/intl/tst-codeset.sh
diff options
context:
space:
mode:
authorJakub Jelinek <jakub@redhat.com>2007-07-12 18:26:36 +0000
committerJakub Jelinek <jakub@redhat.com>2007-07-12 18:26:36 +0000
commit0ecb606cb6cf65de1d9fc8a919bceb4be476c602 (patch)
tree2ea1f8305970753e4a657acb2ccc15ca3eec8e2c /intl/tst-codeset.sh
parent7d58530341304d403a6626d7f7a1913165fe2f32 (diff)
2.5-18.1
Diffstat (limited to 'intl/tst-codeset.sh')
-rw-r--r--intl/tst-codeset.sh9
1 files changed, 4 insertions, 5 deletions
diff --git a/intl/tst-codeset.sh b/intl/tst-codeset.sh
index 3d9b9559b7..8b052168b2 100644
--- a/intl/tst-codeset.sh
+++ b/intl/tst-codeset.sh
@@ -1,6 +1,6 @@
#! /bin/sh
# Test of bind_textdomain_codeset.
-# Copyright (C) 2001, 2002 Free Software Foundation, Inc.
+# Copyright (C) 2001, 2002, 2005 Free Software Foundation, Inc.
# This file is part of the GNU C Library.
#
@@ -26,12 +26,11 @@ LC_ALL=C
export LC_ALL
# Generate the test data.
-test -d ${objpfx}domaindir || mkdir ${objpfx}domaindir
+msgfmt -o ${objpfx}codeset.mo.$$ tstcodeset.po || exit
# Create the domain directories.
-test -d ${objpfx}domaindir/de_DE || mkdir ${objpfx}domaindir/de_DE
-test -d ${objpfx}domaindir/de_DE/LC_MESSAGES || mkdir ${objpfx}domaindir/de_DE/LC_MESSAGES
+mkdir -p ${objpfx}domaindir/de_DE/LC_MESSAGES
# Populate them.
-msgfmt -o ${objpfx}domaindir/de_DE/LC_MESSAGES/codeset.mo tstcodeset.po
+mv -f ${objpfx}codeset.mo.$$ ${objpfx}domaindir/de_DE/LC_MESSAGES/codeset.mo
GCONV_PATH=${common_objpfx}iconvdata
export GCONV_PATH